net.minecraft.nbt

## Class NBTTagString

- java.lang.Object
- - net.minecraft.nbt.NBTBase
  - - net.minecraft.nbt.NBTTagString

-     public class NBTTagString
      extends NBTBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.nbt.NBTBase

      `NBTBase.NBTPrimitive`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.nbt.NBTBase

      `NBTTypes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NBTTagString()`
    `NBTTagString(java.lang.String par1Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NBTBase` | `copy()`
    `boolean` | `equals(java.lang.Object par1Obj)`
    `java.lang.String` | `func_150285_a_()`
    `byte` | `getId()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class net.minecraft.nbt.NBTBase

      `func_150283_g, func_150284_a`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NBTTagString

          public NBTTagString()

    - #### NBTTagString

          public NBTTagString(java.lang.String par1Str)

  - ### Method Detail

    - #### getId

          public byte getId()

      Specified by:
        `getId` in class `NBTBase`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in class `NBTBase`

    - #### copy

          public NBTBase copy()

      Specified by:
        `copy` in class `NBTBase`

    - #### equals

          public boolean equals(java.lang.Object par1Obj)

      Overrides:
        `equals` in class `NBTBase`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `NBTBase`

    - #### func_150285_a_

          public java.lang.String func_150285_a_()

      Overrides:
        `func_150285_a_` in class `NBTBase`